#!/bin/sh
# filter - arguments are to wget - quoted?

ROOTDIR=/mnt/i
ROLE=base
if [ "$#" -eq 0 ] ; then
    WARGS="-xc -P $ROOTDIR/net/Http --tries=1"
  else
    WARGS="$@"
fi
# NOT 1.3 -e 's@^https://distfiles.gentoo.org/distfiles/[^ ]* https://pypi.python.org/@https://pypi.python.org/@'
grep ^http | \
    sed -e 's@^\(https://distfiles.gentoo.org/distfiles/[a-f0-9][a-f0-9]/[^ ]*\) \(https*://[^ ]*\) @\2 \1@' | \
    sed -e 's@ftp://[^ ]*@@' -e 's/http:/https:/' \
	-e 's@https*://distfiles.gentoo.org@https://gentoo.osuosl.org@g' \
	-e 's@https*://gentoo.osuosl.org@https://mirror.leaseweb.com/gentoo@g' \
	-e 's@https*://download.sourceforge.net@https://download.sourceforge.net@g' | \
    while read urls ; do
        url=`echo $urls|sed -e 's@ .*@@'`
        base=`basename "$url"`
	[ -e /usr/portage/distfiles/$base ] && echo distfiles/$base && continue
	for url in $urls ; do
            wget --restrict-file-names=windows --no-verbose $WARGS $url || continue
            break
	  done
      done
